/* 
 * Simple test program:
 *   ./test 1 | nc server 21
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>

#include "ADMmut-misc.h"

int main(int argc, char *argv[]) {
int type;
char buffer[256];
int len,offset; 
time_t tiempo;

  if (argc!=2) { 
     printf("Usage: %s 0=ia32|1=sparc|2=hppa\n",argv[0]);
     exit(-1);
     }

 type=atoi(argv[1]);

 memset(buffer,0,sizeof(buffer));
 
 len=0;
 tiempo=time(NULL);
 srandom((int)tiempo);

 switch(type) {
  
   case 0: while (len<sizeof(buffer)-1) {
            offset=random()%IA32_JUNKS;
            if (intel_njunk[offset].noppad) {
               strcat(buffer,intel_njunk[offset].code);
               len+=intel_njunk[offset].len;           
               }
            }
           break;
   case 1: while (len<sizeof(buffer)-1) {
            offset=random()%SPARC_JUNKS;
            if (sparc_njunk[offset].noppad) {
               strcat(buffer,sparc_njunk[offset].code);
               len+=sparc_njunk[offset].len;
               }
            }
           break;
   case 2: while (len<sizeof(buffer)-1) {
            offset=random()%HPPA_JUNKS;
            if (hppa_njunk[offset].noppad) {
               strcat(buffer,hppa_njunk[offset].code);
               len+=hppa_njunk[offset].len;
               }
            }
           break;

   };
 

 printf("%s\n",buffer);

 return(0);
}
